Subject: bug#11068: closed (Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Mar 2012 09:22:01 +0000

Your bug report

#11068: 24.0.94; Face-remapped background does not extend to end of window

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11068: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11068
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window
From: Eli Zaretskii <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 30 Mar 2012 11:49:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 26 Mar 2012 12:16:23 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Is that final, or do you want to hear from Stefan, or think about it?
> 
> I've thought about it, and after staring at the code I'm pretty sure it
> does the right thing.  If the extra glyphs break anything, we have a
> regression bug on our hands for R2L lines anyway.  So I'll vouch for the
> change.  Please go ahead and commit the fixed patch ASAP.

Done.

I'm now closing this bug.

Subject: 24.0.94; Face-remapped background does not extend to end of window
From: Ivan Andrus <[email-masked]>
To: [email-masked]
Date: Thu, 22 Mar 2012 21:49:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Run emacs -Q and then evaluate (e.g. in *scratch*) the following

(face-remap-add-relative 'default '(:background "dark green"))

Notice that the dark green background only appears on the lines which
actually contain text.  Most of the window still has the white
background since the buffer only consists of a few lines.  This is
annoying for my use case of different backgrounds to signify different
modes (e.g. read only).

It is also a problem when using :stipple e.g.

(face-remap-add-relative 'default '(:stipple "/Users/gvol/.emacs.d/local/pic/b-rock-grey.jpg"))

Thanks,
Ivan Andrus

In GNU Emacs 24.0.94.6 (i386-apple-darwin10.8.0, NS apple-appkit-1038.36)
of 2012-03-19 on oroszlan.local
Windowing system distributor `Apple', version 10.3.1038
Configured using:
`configure '--with-ns' '-C''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: UTF-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> M-x C-g s-` <up> <up> <up> <up> <up> <up> 
C-x C-e <C-down> <C-down> <C-down> <C-down> <C-down> 
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down> 
<right> <up> <C-up> <C-up> <C-up> <C-up> <C-up> <C-up> 
<C-up> <C-up> <C-up> <up> C-k C-y <C-down> <C-down> 
<return> <return> <up> C-y C-u <C-left> <C-left> <C-right> 
<C-right> <C-right> <C-backspace> s t i p p l e <C-right> 
<C-right> <C-backspace> <C-backspace> C-d <backspace> 
C-y C-e C-x C-e <C-down> <C-down> <C-down> <C-down> 
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down> 
<down> <right> <up> <up> <down> C-e <return> <backspace> 
<C-up> <C-up> <C-up> <C-up> <C-up> <C-up> <C-up> <C-up> 
<C-up> <C-up> <C-up> <C-down> <C-down> <down> <down> 
C-e C-a <up> <return> <return> <up> I t SPC i s SPC 
a l o <backspace> s o SPC a SPC p r o b l e m SPC w 
i <backspace> h e n SPC u s i n g SPC s t i p p l e 
<C-left> : C-e SPC e . g . SPC w h i c h SPC m <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <C-down> <C-down> <C-up> <C-up> 
<C-up> <C-up> <C-up> C-SPC <C-down> <C-down> <C-down> 
<C-down> <C-down> C-w C-/ C-c C-c n o <return> <C-up> 
<C-up> <C-up> <C-up> <C-up> <C-up> <C-up> <C-up> <C-up> 
<C-up> <C-up> <C-up> <C-up> <C-up> C-e <C-left> <C-right> 
<C-backspace> <C-backspace> <C-backspace> d a r t h 
a n d r u s @ g m a i l . c o m <C-down> <down> <C-s-268632064> 
<C-down> <C-down> <C-down> <C-down> <C-down> C-w C-/ 
C-c C-c C-c C-c <help-echo> <down-mouse-1> <mouse-1> 
<wheel-up> <down-mouse-1> <mouse-1> <down-mouse-1> 
<mouse-1> <wheel-up> <double-wheel-up> <down-mouse-1> 
<mouse-1> C-h e <C-down> <C-down> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <help-echo> <help-echo> <tool-bar> <kill-buffer> 
<tool-bar> <kill-buffer> <down-mouse-1> <mouse-1> <tool-bar> 
<Kill Message> M-x r e p o <tab> r <tab> <return>

Recent messages:
Making completion list...

Load-path shadows:
None found.

Features:
(newcomment shadow sort gnus-util mail-extr emacsbug message format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils help-mode easymenu view
face-remap vc-hg time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel ns-win tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)